---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/get-component-group-access.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting information about group permissions for a component

Use this request to view [group permissions](https://yandex.com.tr/support/tracker/en/manager/queue-access.md) for a component.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/components/&lt;component_ID>/permissions/groups/&lt;group_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get information about permissions, use an HTTP `GET` request.

```
GET v3/components/<component_ID>/permissions/groups/<group_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->


{% cut "Resource" %}

| Parameter | Description | Data type |
----- | ----- | -----
| \<component_ID\> | Component ID | Number |
| \<group_ID\> | Unique group ID in the organization | Number |

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    ```json
    {
        "group": {
            "self": "https://api.tracker.yandex.net/v3/groups/5",
            "id": "5",
            "display": "All employees"
        },
        "component": {
            "self": "https://api.tracker.yandex.net/v3/components/1",
            "id": 1,
            "version": 2,
            "name": "Component 1",
            "queue": {
                "self": "https://api.tracker.yandex.net/v3/queues/TEST",
                "id": "1",
                "key": "TEST",
                "display": "Queue"
            },
            "lead": {
                "self": "https://api.tracker.yandex.net/v3/users/8**************4",
                "id": "8**************4",
                "display": "Ivan Ivanov",
                "cloudUid": "ajehs6sinu**********",
                "passportUid": 19692*****
            },
            "assignAuto": false
        },
        "permissions": {
            "CREATE": {
                "groups": [
                    {
                        "self": "https://api.tracker.yandex.net/v3/groups/5",
                        "id": "5",
                        "display": "All employees"
                    }
                ]
            },
            {...}
        }
    }
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | [group](#group) | Object containing information about the group for which permissions are being requested. | Map item |
    | [component](#component) | Object with component information | Map item |
    | permissions | Array of objects containing information about [group permissions for the component](../../manager/queue-access.md). The possible values include:<ul><li>`CREATE`: <q>Create issues</q>.</li><li>`READ`: <q>View issues</q>.</li><li>`WRITE`: <q>Edit issues</q>.</li><li>`DENY`: Access denied.</li>.</ul> | Array of objects |
    | [groups](#groups) | Object containing information about the group to which the user belongs | Map item |

    `group` and `groups` **object fields** {#group}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource that contains group information | String |
    | id | Group ID | String |
    | display | Group display name | String |

    `component` **object fields** {#component}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource that contains component information | String |
    | id | Component ID | Number |
    | version | Component version. Each change to the component increases the version number | Number |
    | name | Component name | String |
    | [queue](#queue) | Object containing information about the component queue | Map item |
    | [lead](#user) | Object with information about the component owner | Map item |
    | assignAuto | Assign all the new issues with this component to the component's owner automatically:<ul><li>`true`: Assign</li><li>`false`: Do not assign</li></ul> | Boolean |

    `queue` **object fields** {#queue}

    <!-- source: en/_includes/api/queue.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the queue. | String |
    | id | Queue ID. | String |
    | key | Queue key. | String |
    | display | Queue name displayed. | String |
    <!-- endsource: en/_includes/api/queue.md -->

    `lead` **object fields** {#user}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    {% endcut %}

- Request failed

   If the request is processed incorrectly, the API returns a response with an error code:

   <!-- source: en/_includes/api/answer-error-401.md -->
   401
   :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
   <!-- endsource: en/_includes/api/answer-error-401.md -->

   <!-- source: en/_includes/api/answer-error-403.md -->
   403
   :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
   <!-- endsource: en/_includes/api/answer-error-403.md -->

   <!-- source: en/_includes/api/answer-error-404.md -->
   404
   :   The requested object was not found. You may have specified an invalid object ID or key.
   <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}
